using System;
using System.Windows.Threading;

internal sealed class Delegate274 : MulticastDelegate
{
	public extern Dispatcher Invoke(object object_0);

	public static Dispatcher smethod_0(object object_0, Delegate274 delegate274_1)
	{
		return delegate274_1(object_0);
	}

	public extern Delegate274(object object_0, IntPtr intptr_0);

	static Delegate274()
	{
		Class10.smethod_13(typeof(Delegate274).TypeHandle);
	}

	internal static Delegate274 delegate274_0;
}
